Skip to main content

Create Applicant: Propertyware

POSThttps://api.propexo.com/v1/applicants/propertyware/
Method
createApplicant
attachDocumentToContact
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    property_idstringrequired

    The Propexo unique identifier for the property

    integration_idstringrequired

    The Propexo unique identifier for the integration

    address_1string

    First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address

    address_2string

    Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.

    citystring

    City of the applicant's primary address. This maps to the city property of the Applicant's primary address.

    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object
    date_of_birthstring<date-time>

    Date of birth of the applicant. This maps to the birthDate property of the Applicant object.

    email_1string<email>

    The primary email address for the applicant. This value maps to the email property of the Applicant object

    first_namestring

    The first name of the applicant. This value maps to the firstName property of the Applicant object.

    last_namestring

    The last name of the applicant. This value maps to the lastName property of the Applicant object

    phone_1string

    Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.

    phone_1_typestring

    The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Applicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.

    phone_2_typestring

    The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    statestring

    State of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.

    unit_idstring

    The Propexo unique identifier for the unit

    zipstring

    Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.

    attachments object[]

    Files to upload to the applicant.

  • Array [
  • file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 12 MB.

    Possible values: <= 16735272 characters

    file_namestringrequired

    The name of the file

    notesstring

    General notes about the file

    is_privateboolean

    If the file should be marked as private

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    property_idstringrequired

    The Propexo unique identifier for the property

    integration_idstringrequired

    The Propexo unique identifier for the integration

    address_1string | nullnullablerequired
    address_2string | nullnullablerequired
    citystring | nullnullablerequired
    custom_data object | nullrequired
    object
    date_of_birth(string | null)<date-time>nullablerequired
    email_1(string | null)<email>nullablerequired
    first_namestring | nullnullablerequired
    last_namestring | nullnullablerequired
    phone_1string | nullnullablerequired
    phone_1_typestring | nullnullablerequired
    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string | nullnullablerequired
    phone_2_typestring | nullnullablerequired
    Show 4 enum values
    HOMEWORKMOBILEFAX
    statestring | nullnullablerequired
    unit_idstring | nullnullablerequired
    zipstring | nullnullablerequired
    attachments object[]required
  • Array [
  • file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 12 MB.

    Possible values: <= 16735272 characters

    file_namestringrequired

    The name of the file

    notesstring
    is_privateboolean
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/applicants/propertyware/
curl -X POST https://api.propexo.com/v1/applicants/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_id": "string",
"integration_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"property_id": "string",
"integration_id": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "[email protected]",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"state": "string",
"unit_id": "string",
"zip": "string",
"attachments": "Unknown Type: array,null"
}
}